# terminal-hackertyper

JS hackertyper for your terminal

Just type some stuff

![screencast of hackertyping](https://raw.githubusercontent.com/eldino/terminal-hackertyper/master/screen.gif)

Inspired by [duiker101's Hacker-Typer](https://github.com/duiker101/Hacker-Typer)



## For fun

#### Installing

```
$ npm install -g terminal-hackertyper
```

#### Launching

Launch hackertyper with one of the following options:

-  -f, --file : id of the file to hackertype. default: 1
-  -i, --incr : number of characters to print on each keypress. default: 3

```
$ hackertyper
$ hackertyper -i 2
$ hackertyper -f 4
$ hackertyper -f 5 -i 1
```

#### Files

1. [substack/minimist - index.js](https://github.com/substack/minimist/blob/master/index.js)
2. [eldino/terminal-hackertyper - src/chalker.js](https://github.com/eldino/terminal-hackertyper/blob/master/src/chalker.js)



## For serious

#### Building

Install dependencies and transpile es6 src/ to es5 dist/

```
$ git clone https://github.com/eldino/terminal-hackertyper.git
$ cd terminal-hackertyper
$ npm run build
$ npm run launch
```

#### Developing - babel watch

Transpiles then watches src/ for changes, transpiles on saved change

```
$ npm run dev
```
